Subject: Re: linux-next: build failure after merge of the vfio tree

From: Alex Williamson <[email-masked]>
Date: Wed, 14 Oct 2020 20:21:58 -0600

On Thu, 15 Oct 2020 11:59:03 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi Alex,
> 
> On Tue, 13 Oct 2020 13:20:16 -0600 Alex Williamson <[email-masked]> wrote:
> >
> > Thanks, Stephen.  Diana has posted a 32bit build fix which I've merged,
> > maybe that was the error.  Also Diana's series in my branch is currently
> > dependent on fsl-bus support in GregKH's char-misc-next branch.  Looking
> > at the log from the successful build, I wonder if our branches are just
> > in the wrong order (vfio/next processed on line 341, char-misc-next
> > processed on 387).  I don't know if you regularly re-order for this
> > sort of thing, otherwise it should work out when Greg's branch gets
> > merged, but testing sooner in next would be preferred.  
> 
> I have put the vfio tree after the char-misc tree today (so hopefully
> it will build).  The proper way to do this is for you and Greg to have
> a shared branch with the commits you both depend on and bot merge that
> branch.  That way, it doesn't matter what order the tress are merged
> (by me or Linus).

Hi Stephen,

Well that seems like the obviously correct solution in retrospect ;)
thanks for the explanation.  I'll check-in with Greg to see if his pull
request is imminent or we can share a branch.  Thanks,

Alex